Skip to main content

Loans to Private Sector Business - by Institution

Outstanding loans to private sector businesses grouped by lending institution.

GET/3.0/alternate/loans-by-institution

Request​

Authentication​

  • Type: Bearer Token
  • Required: Yes

Parameters​

This endpoint does not accept any query parameters.

Response​

Success Response (200)​

{
"status":"ok",
"data":[
{
"period": "Nov 2024",
"smes": 123456789,
"others": 234567890
},
{
"period": "Oct 2024",
"smes": 987654321,
"others": 876543210
}
]
}

Response Fields​

FieldTypeDescription
periodstringPeriod identifier (e.g., "Nov 2024")
smesintegerOutstanding loans to SMEs by institution
othersintegerOutstanding loans to other private sector businesses by institution

Error Responses​

For detailed Common Error responses, see the Error Handling.

Examples​

GET Loans to Private Sector Business - by Institution​

curl -X GET "https://csapis.com/3.0/alternate/loans-by-institution" -H "Authorization: Bearer YOUR_API_TOKEN"

Use Cases​

  • Data analysis
  • Dashboard / metrics